## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.16.0
%bcond check 1
%global debug_package %{nil}

# To update:
# 1. Update the version in this file.
# 2. Retrieve new source archive:
#    spectool -g hugo.spec.
# 3. Generate the vendor archive:
#    go_vendor_archive create --config go-vendor-tools.toml hugo.spec

# https://github.com/gohugoio/hugo
%global goipath         github.com/gohugoio/hugo
Version:                0.147.7

%gometa -L -f

%global common_description %{expand:
The world’s fastest framework for building websites.}

Name:           hugo
Release:        %autorelease
Summary:        The world’s fastest framework for building websites

# Generated by go-vendor-tools:
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND MIT AND MPL-2.0 AND Unlicense
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools:
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml
# Manually added missing license file:
Source3:        LICENSE-testmodBuilder
# Needed for vendor/gowebp; go-vendor-tools does not grab C code from Go repositories:
Source4:        libwebp-1.3.2.tar.gz
# Needed for vendor/golibsass; go-vendor-tools does not grab C code from Go repositories:
Source5:        libsass-3.6.6.tar.gz
# Skip tests that uses the network.
# Based on https://sources.debian.org/data/main/h/hugo/0.58.3-1/debian/patches/0005-skip-modules-TestClient.patch
Patch0001:      0010-skip-modules-TestClient.patch

BuildRequires:  go-vendor-tools
BuildRequires:  gcc-c++

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

# Fix goipath:
sed -i 's|invopop/yaml|oasdiff/yaml|g' $(find . -iname '*.go' -type f)

# LICENSE file not in version of repository pulled in by Hugo:
cp %SOURCE3 vendor/github.com/gohugoio/testmodBuilder/mods/LICENSE

# Needed for vendor/gowebp; go-vendor-tools does not grab C code from Go repositories:
mkdir vendor/github.com/bep/gowebp/libwebp_src
tar xvf %SOURCE4 -C vendor/github.com/bep/gowebp/libwebp_src

# Needed for vendor/golibsass; go-vendor-tools does not grab C code from Go repositories:
mkdir vendor/github.com/bep/golibsass/libsass_src
tar xvf %SOURCE5 -C vendor/github.com/bep/golibsass/libsass_src --strip-components=1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
# Allow github.com/tetratelabs/wazero to build:
%global __golang_extldflags -Wl,-z,undefs

# Build extended version of Hugo.
BUILDTAGS="extended" LDFLAGS="${LDFLAGS} -X %{goipath}/common/hugo.buildDate=$(date --iso=seconds --date=@$SOURCE_DATE_EPOCH) -X %{goipath}/common/hugo.vendorInfo=Fedora:%{version}-%{release}" %gobuild -o %{gobuilddir}/bin/hugo %{goipath}

# Generated by go2rpm, but deactivated here.
# for cmd in livereload/gen markup/goldmark scripts/fork_go_templates; do
#   %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
# done

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}

# .: extensive test that uses network.
# common/hcontext: terminal coloring?
# common/hstrings: terminal coloring?
# common/text: terminal coloring?
# The rest are: relocation target github.com/tetratelabs/wazero/internal/engine/wazevo/backend/isa/amd64.entrypoint not defined
%gocheck \
	-d . \
	-d common/hcontext \
	-d common/hstrings \
	-d common/text \
	-d cache/filecache \
	-d cache/httpcache \
	-d common/herrors \
	-d common/htime \
	-d common/hugo \
	-d common/paths \
	-d config/allconfig \
	-d config/testconfig \
	-d create \
	-d hugofs/glob \
	-d hugolib \
	-d hugolib/filesystems \
	-d hugolib/pagesfromdata \
	-d hugolib/segments \
	-d internal/js/esbuild \
	-d internal/warpc \
	-d langs/i18n \
	-d markup/goldmark \
	-d markup/goldmark/blockquotes \
	-d markup/goldmark/codeblocks \
	-d markup/goldmark/images \
	-d markup/goldmark/internal/extensions/attributes \
	-d markup/goldmark/passthrough \
	-d markup/goldmark/tables \
	-d markup/highlight \
	-d markup/tableofcontents \
	-d related \
	-d resources \
	-d resources/images \
	-d resources/page \
	-d resources/page/pagemeta \
	-d resources/resource \
	-d resources/resource_factories/create \
	-d resources/resource_transformers/babel \
	-d resources/resource_transformers/cssjs \
	-d resources/resource_transformers/integrity \
	-d resources/resource_transformers/js \
	-d resources/resource_transformers/minifier \
	-d resources/resource_transformers/templates \
	-d resources/resource_transformers/tocss/dartsass \
	-d resources/resource_transformers/tocss/scss \
	-d tpl/cast \
	-d tpl/collections \
	-d tpl/data \
	-d tpl/debug \
	-d tpl/fmt \
	-d tpl/images \
	-d tpl/lang \
	-d tpl/math \
	-d tpl/openapi/openapi3 \
	-d tpl/os \
	-d tpl/page \
	-d tpl/partials \
	-d tpl/path \
	-d tpl/reflect \
	-d tpl/resources \
	-d tpl/strings \
	-d tpl/templates \
	-d tpl/time \
	-d tpl/tplimpl \
	-d tpl/transform \
	-d tpl/urls \

%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc docs CONTRIBUTING.md README.md SECURITY.md
%doc create/skeletons/theme/content/_index.md
%doc create/skeletons/theme/content/posts/_index.md
%doc create/skeletons/theme/content/posts/post-1.md
%doc create/skeletons/theme/content/posts/post-2.md
%doc create/skeletons/theme/content/posts/post-3/index.md
%doc hugolib/testsite/content/first-post.md
%doc hugolib/testsite/content_nn/first-post.md
%doc testscripts/commands/commands_errors.txt
%doc testscripts/commands/completion.txt testscripts/commands/config.txt
%doc testscripts/commands/config__cachedir.txt testscripts/commands/convert.txt
%doc testscripts/commands/deprecate.txt testscripts/commands/env.txt
%doc testscripts/commands/gen.txt testscripts/commands/hugo.txt
%doc testscripts/commands/hugo__configdir.txt
%doc testscripts/commands/hugo__errors.txt testscripts/commands/hugo__flags.txt
%doc testscripts/commands/hugo__noconfig.txt
%doc testscripts/commands/hugo__path-warnings-postprocess.txt
%doc testscripts/commands/hugo__path-warnings.txt
%doc testscripts/commands/hugo__path-warnings_issue13164.txt
%doc testscripts/commands/hugo__processingstats.txt
%doc testscripts/commands/hugo__processingstats2.txt
%doc testscripts/commands/hugo__publishdir_in_config.txt
%doc testscripts/commands/hugo__static_composite.txt
%doc testscripts/commands/hugo__watch.txt testscripts/commands/hugo_build.txt
%doc testscripts/commands/hugo_configdev_env.txt
%doc testscripts/commands/hugo_configdev_environment.txt
%doc testscripts/commands/hugo_configprod.txt
%doc testscripts/commands/hugo_printpathwarnings.txt
%doc testscripts/commands/hugo_printunusedtemplates.txt
%doc testscripts/commands/import_jekyll.txt testscripts/commands/list.txt
%doc testscripts/commands/mod.txt testscripts/commands/mod__disable.txt
%doc testscripts/commands/mod__themesdir.txt testscripts/commands/mod_get.txt
%doc testscripts/commands/mod_get_u.txt testscripts/commands/mod_init.txt
%doc testscripts/commands/mod_npm.txt
%doc testscripts/commands/mod_npm_withexisting.txt
%doc testscripts/commands/mod_tidy.txt testscripts/commands/mod_vendor.txt
%doc testscripts/commands/new.txt testscripts/commands/new_content.txt
%doc testscripts/commands/new_content_archetypedir.txt
%doc testscripts/commands/noop.txt testscripts/commands/server.txt
%doc testscripts/commands/server__edit_config.txt
%doc testscripts/commands/server__edit_content.txt
%doc testscripts/commands/server__error_recovery_edit_config.txt
%doc testscripts/commands/server__error_recovery_edit_content.txt
%doc testscripts/commands/server__multihost.txt
%doc testscripts/commands/server__watch_hugo_stats.txt
%doc testscripts/commands/server__watch_moduleconfig.txt
%doc testscripts/commands/server_disablelivereload.txt
%doc testscripts/commands/server_disablelivereload__config.txt
%doc testscripts/commands/server_render_static_to_disk.txt
%doc testscripts/commands/server_render_to_memory.txt
%doc testscripts/commands/version.txt testscripts/commands/warnf_stderr.txt
%doc testscripts/unfinished/noop.txt testscripts/withdeploy/deploy.txt
%doc testscripts/withdeploy-off/deploy_off.txt
%doc tpl/tplimpl/embedded/templates/robots.txt
%{_bindir}/hugo


%changelog
## START: Generated by rpmautospec
* Wed Jun 04 2025 W. Michael Petullo <mike@flyn.org> - 0.147.7-2
- Update licensing after migrating to Trivy

* Wed Jun 04 2025 W. Michael Petullo <mike@flyn.org> - 0.147.7-1
- Update to 0.147.7 and use vendor versioning

* Fri Jan 24 2025 W. Michael Petullo <mike@flyn.org> - 0.142.0-4
- Fix typo in %%gocheck definition

* Fri Jan 24 2025 W. Michael Petullo <mike@flyn.org> - 0.142.0-3
- Remove a build check because it uses networking

* Fri Jan 24 2025 W. Michael Petullo <mike@flyn.org> - 0.142.0-2
- Remove obsolete patch

* Fri Jan 24 2025 W. Michael Petullo <mike@flyn.org> - 0.142.0-1
- Update to 0.142.0

* Thu Jan 23 2025 W. Michael Petullo <mike@flyn.org> - 0.140.2-5
- Backport s390x check exception

* Tue Jan 21 2025 W. Michael Petullo <mike@flyn.org> - 0.140.2-4
- Fix build on Go 1.24

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.140.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 01 2025 W. Michael Petullo <mike@flyn.org> - 0.140.2-2
- Review and adjust license after SPDX cleanup

* Tue Dec 31 2024 W. Michael Petullo <mike@flyn.org> - 0.140.2-1
- Update to 0.140.2

* Mon Sep 02 2024 Miroslav Suchý <msuchy@redhat.com> - 0.126.2-5
- convert license to SPDX

* Sun Aug 11 2024 W. Michael Petullo <mike@flyn.org> - 0.126.2-4
- Add link to Bugzilla after closing golang-github-gohugoio-go-i18n package
  request

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.126.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 10 2024 W. Michael Petullo <mike@flyn.org> - 0.126.2-2
- Restore deploy feature

* Fri May 31 2024 W. Michael Petullo <mike@flyn.org> - 0.126.2-1
- Update to 0.126.2

* Sun Apr 28 2024 W. Michael Petullo <mike@flyn.org> - 0.125.4-1
- Update to 0.125.4

* Sun Apr 28 2024 W. Michael Petullo <mike@flyn.org> - 0.124.1-2
- Re-enable checks after afero update

* Tue Apr 09 2024 W. Michael Petullo <mike@flyn.org> - 0.124.1-1
- Update to 0.124.1

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0.121.2-2
- Rebuild for golang 1.22.0

* Wed Feb 07 2024 W. Michael Petullo <mike@flyn.org> - 0.121.2-1
- Update to 0.121.2

* Wed Feb 07 2024 W. Michael Petullo <mike@flyn.org> - 0.121.1-2
- Modify to remove dependency on golang-gocloud

* Mon Feb 05 2024 W. Michael Petullo <mike@flyn.org> - 0.121.1-1
- Update to 0.121.1

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.111.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.111.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Aug 17 2023 W. Michael Petullo <mike@flyn.org> - 0.111.3-5
- Replace import patches with use of sed

* Wed Jul 26 2023 W. Michael Petullo <mike@flyn.org> - 0.111.3-4
- Use %%autopatch -p1

* Mon Jul 24 2023 W. Michael Petullo <mike@flyn.org> - 0.111.3-3
- Reenable tests that work again on current Rawhide

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.111.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 18 2023 W. Michael Petullo <mike@flyn.org> - 0.111.3-1
- Update to 0.111.3 (rhbz#1930952)
- Use new patch macro
- Deactivate a broken test

* Sat Feb 25 2023 W. Michael Petullo <mike@flyn.org> - 0.109.0-3
- Import hugo-0.109.0.tar.gz

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.109.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 12 2023 W. Michael Petullo <mike@flyn.org> - 0.109.0-1
- Update to 0.109.0 (rhbz#1930952)
- Use %%gometa -f due to use in dependencies
- Restore some tests that work with the latest Fedora packages

* Wed Jan 11 2023 W. Michael Petullo <mike@flyn.org> - 0.101.0-6
- Add diagnostic instructions to hugo.spec

* Mon Jan 02 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.101.0-5
- Add more build metadata to executable

* Sun Oct 30 2022 W. Michael Petullo <mike@flyn.org> - 0.101.0-4
- Add hugo-0.101.0.tar.gz

* Wed Oct 26 2022 W. Michael Petullo <mike@flyn.org> - 0.101.0-3
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
